GET /v2/namespaces/{namespace}/repositories/{repository}/images

docker.com:hub-beta

Summary: Get details of repository's images
Operation ID: GetNamespacesRepositoriesImages
Auth: unknown
Description

Gets details on the images in a repository.

Parameters (8)

active_from (string, query, optional)

Sets the time from which an image must have been pushed or pulled to be counted as active. Defaults to 1 month before the current time.

currently_tagged (boolean, query, optional)

Filters to only show images with: - `true`: at least 1 current tag. - `false`: no current tags.

namespace (string, path, required)

Namespace of the repository.

ordering (string, query, optional)

Orders the results by this property. Prefixing with `-` sorts by descending order.

Constraints: {'enum': ['last_activity', '-last_activity', 'digest', '-digest']}

page (integer, query, optional)

Page number to get. Defaults to 1.

page_size (integer, query, optional)

Number of images to get per page. Defaults to 10. Max of 100.

repository (string, path, required)

Name of the repository.

status (string, query, optional)

Filters to only show images of this status.

Constraints: {'enum': ['active', 'inactive']}

No probe data for this endpoint yet.